<?php
session_start();
error_reporting(0);
$role=$_SESSION['role'];
$user_name=$_SESSION['user_name'];
	set_magic_quotes_runtime(0);
	if(!@$_SESSION['user_name']){ 
		header('Location: index.php');
	}
	include("database_connection.php");
	 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>View:Caller</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php //title();?>
<link type="text/css" rel="stylesheet" href="Library/css/style-menu.css"   />
<link type="text/css" rel="stylesheet" href="Library/css/style-content.css"   />
<script type="text/javascript" src="Library/js/jquery-1.3.1.min.js" > </script> 
<script type="text/javascript">

    function PrintElem(elem)
    {
        Popup($(elem).html());
    }

    function Popup(data) 
    {
        var mywindow = window.open('', 'Billing Application Dashboard', 'height=650,width=750');
        mywindow.document.write('<html><head><title>Billing Application Dashboard</title>');
        /*optional stylesheet*/ //mywindow.document.write('<link rel="stylesheet" href="main.css" type="text/css" />');
        mywindow.document.write('</head><body >');
        mywindow.document.write(data);
        mywindow.document.write('</body></html>');

        mywindow.print();
        mywindow.close();

        return true;
    }

</script>
<script language="JavaScript" type="text/javascript">  
   function checkdelete(){
		var r=confirm("Are you sure to delete?");
		if (r==true){
			return true;
		}
		else{
			return false;
		}
	}
	</script>      

<style>
.borderHeader{
	border:1px;
	border-style:solid;
	height:73px;
	background-color:white;
}
.centerimage{
	margin-top:20px;
}
.pagename
{
	text-align:center;
	margin-top:-60px;
	color:#8B0000;
}

.airtellogo
{
   margin-top:-60px;

}	
.center {
 text-align: center
}
td { 
	
	height:15px;
}
</style>
<link type="text/css" href="menu/menu_admin.css" rel="stylesheet" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
<script language="JavaScript" src="newdate/calendar_us.js"></script>
  <link rel="stylesheet" href="newdate/calendar.css">


</head>
<body>
	<div class="borderHeader">
	<div align=left><img src="images/kmspl.PNG" /></div><div class="pagename"><h2>VIEW CALLER REPORT  DATE WISE</h2></div>
</div>
	<?php 
	if(($_SESSION['uniqe_id']=='S'))
	{
	include("menu/menu_superadmin.php");
	}
	elseif(($_SESSION['uniqe_id']=='A') or ($_SESSION['uniqe_id']=='T'))
	{
	include("menu/menu_admin.php");
	}
	elseif(($_SESSION['uniqe_id']=='D'))
	{
	include("menu/menu_deo.php");
	}
	elseif(($_SESSION['uniqe_id']=='X'))
	{
	include("menu/menu_scanner.php");
	}
	else
	{
	header('Location: index.php');
	}
	?>
	<form method="post" action=" " name="view_callerdate" id="view_callerdate">
	<?php
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='REFRESH')
	{
	$_POST['dump_date']='';
	
	}
	if(isset($_POST['txtsubmit']) && $_POST['txtsubmit']=='SEARCH')
 	{  
	$dump_date=$_POST['dump_date'];
	
	}

	date_default_timezone_set('Asia/Calcutta');
	?>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<tr>
	<td align="center" ><b>Date</b> &nbsp;<input type ="text" name="dump_date" value="<?php echo $_POST['dump_date'];?>" style="width:100px; height"35px;"; required />
	  <script language="JavaScript">

                        new tcal ({

                            // form name

                            'formname': 'view_callerdate',

                            // input name

                            'controlname': 'dump_date'

                        });



                    </script>
 
 &nbsp;&nbsp;<input type="submit" name="txtsubmit"  value="SEARCH" id="searchbutton" > 
		
			<input type="submit" name="txtsubmit"  value="REFRESH" id="searchbutton"> 
&nbsp;&nbsp;
	<?php
	if(strlen($dump_date)>0 )
	{
	
	?>
	<a href="export_caller.php?id=<?php echo $dump_date?>"><b>Export Data</b></a>
	<?php
	}
	else
	{
	}
	?>

</td>
	</tr>
	</table>
	</td>
	</tr>
	</table>
	<table style="width:100%"   align="center"> 
	<tr>
	<td align="center" style="width:85%;">
	<table  border="1" bgcolor="white" style="width:85%;" class="table table-striped" > 
	<thead>
	<tr height="25">
				<th class="center"><b>Caller Name</b></th>				
				<th class="center"><b>Total</b></th>
				
			</tr>
		 </thead>
		 <tbody>
		<?php
		if($dump_date)
		{
		$queryr="SELECT distinct(caller_name) FROM `tvr_tbl` WHERE calling_date='$dump_date' and caller_name!='' order by caller_name asc";
	$resultr = MYSQL_QUERY($queryr);
		
	 $j=1;
	while($data=mysql_fetch_array($resultr)) {	
	$caller_name=$data['caller_name'];
	
	$sqltotal="select count(id) as num from tvr_tbl where caller_name='$caller_name' and  calling_date='$dump_date' " ;
	$resulttotal=mysql_query($sqltotal);
	$datatotal=mysql_fetch_array($resulttotal);
	
	$total=$datatotal[0];
	$totaltvr +=$total;
	if($j%2==0)
		 {
		 $color="#FFFAFA";  
		 }
		 else
		 {
		 $color="white";  
 		}
		
	if($total>0)
	{
	?>

<tr  bgcolor=" <?php echo $color;?>" height="15">
<td align="center"><font size="2"><b><?php echo strtoupper($data['caller_name']);?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $total;?></b></font></td>

</tr>
<?php
	$j++; } }

$queryrsbi="SELECT distinct(caller_name) FROM `lic_callertbl` WHERE dump_date='$dump_date' and caller_name!='' order by caller_name asc";
	$resultrsbi = MYSQL_QUERY($queryrsbi);
		
	 $i=j;
	while($datasbi=mysql_fetch_array($resultrsbi)) {	
	$caller_namesbi=$datasbi['caller_name'];
	
	$sqltotalsbi="select count(id) as num from lic_callertbl where caller_name='$caller_namesbi' and  dump_date='$dump_date' " ;
	$resulttotalsbi=mysql_query($sqltotalsbi);
	$datatotalsbi=mysql_fetch_array($resulttotalsbi);
	
	$totalsbi=$datatotalsbi[0];
	$totalsbit +=$totalsbi;
	if($i%2==0)
		 {
		 $color="#FFFAFA";  
		 }
		 else
		 {
		 $color="white";  
 		}
		
	if($totalsbi>0)
	{
	?>

<tr  bgcolor=" <?php echo $color;?>" height="15">
<td align="center"><font size="2"><b><?php echo strtoupper($datasbi['caller_name']);?></b></font></td>
<td   align="center"><font size="2"><b><?php echo $totalsbi;?></b></font></td>

</tr>
<?php
	$i++; } }

 ?>
<tr >
<td align="center"><font size="4"><b>Total</b></font></td>
<td  align="center" ><font size="4"><b><?php echo $totaltvr+$totalsbit;?></b></font></td>
</tr>
<?php
}
else
{
}
?>
</tbody>
 </table>
</td>
</tr>
</table>

</div>
</body>
</html>			
